> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatis.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch by id

> Retrieves the stream configuration template with patches applied.



## OpenAPI

````yaml patch /stream-configuration-service/api/v1/stream-configuration-templates/{streamConfigurationTemplateId}
openapi: 3.0.1
info:
  title: Vatis Stream Configuration Service
  description: Vatis Stream Configuration Service API
  version: '1.0'
servers:
  - url: https://stream-configuration-service.vatis.tech
    description: Default server
security: []
paths:
  /stream-configuration-service/api/v1/stream-configuration-templates/{streamConfigurationTemplateId}:
    patch:
      tags:
        - stream-configuration-template-resource-impl
      summary: Patch by id
      description: Retrieves the stream configuration template with patches applied.
      operationId: patchById
      parameters:
        - name: streamConfigurationTemplateId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StreamConfigurationPatchDto'
            examples:
              Example:
                summary: Example of a patch object
                description: Example of a patch object
                value:
                  jsonPatches:
                    - op: replace
                      path: /json/path
                      value: some_value
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StreamConfigurationTemplateDto'
        '400':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Exception on client authorization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Full authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Exception on Pulsar operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Default error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerToken: []
components:
  schemas:
    StreamConfigurationPatchDto:
      type: object
      properties:
        jsonPatches:
          type: array
          items:
            type: string
    StreamConfigurationTemplateDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        dataSourceSchema:
          type: string
        processors:
          type: array
          items:
            $ref: '#/components/schemas/ProcessorConfigurationTemplateDto'
        patchAliases:
          type: object
          additionalProperties:
            type: string
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
        title:
          type: string
        message:
          type: string
        internalErrorName:
          type: string
        nestedErrors:
          type: array
          items:
            type: object
    ProcessorConfigurationTemplateDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        processorDeclaration:
          $ref: '#/components/schemas/ProcessorDeclarationDto'
        previousProcessorId:
          type: string
        propertiesSchema:
          type: string
        properties:
          type: object
        destinationTopicMessageHeaders:
          type: object
          additionalProperties:
            type: string
        destinationTopicHeaders:
          type: object
          additionalProperties:
            type: string
        sourceSubscriptionHeaders:
          type: object
          additionalProperties:
            type: string
        patchAliases:
          type: object
          additionalProperties:
            type: string
        egress:
          $ref: '#/components/schemas/ProcessorEgressConfigurationDto'
    ProcessorDeclarationDto:
      type: object
      properties:
        id:
          type: string
        displayName:
          type: string
        description:
          type: string
        clusterDomainNameTemplate:
          type: string
        podsDiscoveryClusterDomainName:
          type: string
        revision:
          type: string
        propertiesSchema:
          type: string
        inputSchemas:
          type: array
          items:
            type: string
        outputSchema:
          type: string
        features:
          $ref: '#/components/schemas/ProcessorFeaturesDto'
        operationType:
          type: string
          enum:
            - BATCH_TRANSCRIPTION
            - REAL_TIME_TRANSCRIPTION
            - SPEAKERS_DIARIZATION
            - VOICE_ACTIVITY_DETECTION
            - TRANSCODE
            - TRANSLATION
            - SUMMARIZATION
            - SENTIMENT_ANALYSIS
            - NO_OPERATION
            - LLM_PROCESSING
    ProcessorEgressConfigurationDto:
      type: object
      properties:
        persist:
          type: boolean
        sink:
          type: boolean
        tags:
          type: array
          items:
            type: string
    ProcessorFeaturesDto:
      type: object
      properties:
        support:
          type: array
          items:
            type: string
        require:
          type: array
          items:
            type: string
        implement:
          type: array
          items:
            type: string
        requireSupport:
          type: array
          items:
            type: string
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````